aboutsummaryrefslogtreecommitdiffstats
path: root/distrib/sdl-1.2.15/sdl-config.in
diff options
context:
space:
mode:
Diffstat (limited to 'distrib/sdl-1.2.15/sdl-config.in')
-rw-r--r--distrib/sdl-1.2.15/sdl-config.in61
1 files changed, 61 insertions, 0 deletions
diff --git a/distrib/sdl-1.2.15/sdl-config.in b/distrib/sdl-1.2.15/sdl-config.in
new file mode 100644
index 0000000..843c1a6
--- /dev/null
+++ b/distrib/sdl-1.2.15/sdl-config.in
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+curdir=`dirname $0`
+prefix=`dirname $curdir`
+exec_prefix=@exec_prefix@
+exec_prefix_set=no
+libdir=@libdir@
+
+@ENABLE_STATIC_FALSE@usage="\
+@ENABLE_STATIC_FALSE@Usage: sdl-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--cflags] [--libs]"
+@ENABLE_STATIC_TRUE@usage="\
+@ENABLE_STATIC_TRUE@Usage: sdl-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--cflags] [--libs] [--static-libs]"
+
+if test $# -eq 0; then
+ echo "${usage}" 1>&2
+ exit 1
+fi
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | LC_ALL="C" sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case $1 in
+ --prefix=*)
+ prefix=$optarg
+ if test $exec_prefix_set = no ; then
+ exec_prefix=$optarg
+ fi
+ ;;
+ --prefix)
+ echo $prefix
+ ;;
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ exec_prefix_set=yes
+ ;;
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+ --version)
+ echo @SDL_VERSION@
+ ;;
+ --cflags)
+ echo -I@includedir@/SDL @SDL_CFLAGS@
+ ;;
+@ENABLE_SHARED_TRUE@ --libs)
+@ENABLE_SHARED_TRUE@ echo -L@libdir@ @SDL_RLD_FLAGS@ @SDL_LIBS@
+@ENABLE_SHARED_TRUE@ ;;
+@ENABLE_STATIC_TRUE@@ENABLE_SHARED_TRUE@ --static-libs)
+@ENABLE_STATIC_TRUE@@ENABLE_SHARED_FALSE@ --libs|--static-libs)
+@ENABLE_STATIC_TRUE@ echo @SDL_STATIC_LIBS@
+@ENABLE_STATIC_TRUE@ ;;
+ *)
+ echo "${usage}" 1>&2
+ exit 1
+ ;;
+ esac
+ shift
+done